ForumCała strona

Nawigacja

Aktualnie online

Gości online: 9

Użytkowników online: 0

Łącznie użytkowników: 25,343
Najnowszy użytkownik: Boreasz1

Logowanie

Nazwa użytkownika

Hasło



Zarejestruj się

Odzyskaj hasło

Shoutbox

Musisz zalogować się, aby móc dodać wiadomość.

jantom
26.11.2020 20:29:06
Nie spotkałem się.

mateusz880
22.11.2020 23:27:39
Jest jakaś działająca wtyczka na logowanie prze FB ?

krystian1988
08.11.2020 09:35:20
Przemku nikt się nie gniewa na nikogo Grin

Pieka
07.11.2020 12:08:55
Nie ma się co obrażać na Kamila, bo w 100% ma rację Smile

Pieka
07.11.2020 12:07:09
Zasada jest taka, że na supporcie UK piszemy po angielsku, a u nas po polsku. Translator jest ogólnodostępny, więc dają sobie radę Smile

Pobierz nową wersję
Pobierz podręcznik
Zobacz inne oficjalne Supporty
Statystyki supportu
PHP-Fuson PL na Facebooku

RSS

Zobacz temat

Polski Oficjalny Support PHP-Fusion » PHP-Fusion kontra inne CMS-y » Ogólna dyskusja
 Drukuj temat
PHP-Fusion 7 vs. 8 vs 9
bubello
Witam.
Jakie są różnice między nimi?
PHP-Fusion 7
PHP-Fusion 8
PHP-Fusion 9
Smile
 
http://karix.pl
krystian1988
Różnice takie że v7 niebawem nie będzie wspierane (co szkoda ponieważ ma bardzo duży potencjał m.in. wtyczki, mody, skórki) v8 to jest tak na prawdę v7 tylko przepisane na nowe serwery i większość modów itd. z v7 działa na nim, a v9 to już monstrum do którego jest ciężko się przesiąść i pracować, aczkolwiek ma dużo zalet itd.
BRAK STOPKI = BRAK POMOCY NA SUPPORCIE.PRZECZYTAJ:
Regulamin Supportu Nie pomagam na PW!!!
 
bubello
Czyli v8 to odnowione v7, natomiast v9 to coś nowego?
W takim razie jakie są różnice między v8 a v9, który lepszy? itd.?

Zawsze pracowałem na v7 i na nim mi się najlepiej pracowało
Smile
 
http://karix.pl
khaman
W skrócie:

V 7: Wiadomo. Wersja bazuje jeszcze na v 6. Nie będzie działać na wersji PHP 7 i wyższej (co niedługo będzie standardem na serwerach)

V 8: Bazuje na wersji V 7 (oficjalnie miało to być V 7.03.XX). 99% kompatybilny z 7, ma dużo poprawek, przede wszystkim przepisany na nowe PHP - wersje V 7 mogą przestać działać po przejściu serwera na wyższą wersje PHP (7+). Ma część funkcji z wersji 9. Więcej

V9: To nowy PHP-Fusion napisany prawie od nowa - niekompatybilny w 100% z poprzednimi wersjami. Więcej.
Posty pomocne oznaczaj jako pomógłhelp.png Nie pomagam na PW/GG | Brak stopki = brak pomocy
 
adi
Witam szkoda sam nie chce zmieniać bo własne wtyczki i modyfikacje, jak bym miał to na 9 przerabiać to masakra. Może i 9 nowocześniejsza ale ja tam wiole 7 nawet bez wsparcia. Smile
 
slaskimix.eu
khaman
Zawsze można zostać na v8. Smile
Posty pomocne oznaczaj jako pomógłhelp.png Nie pomagam na PW/GG | Brak stopki = brak pomocy
 
krystian1988
Myślę że v8 to bardzo dobry wybór, mało strat, bardziej dużo plusów że można się przesiąść z v7 i większość wtyczek będzie kompatybilna. Poczekać na polskie tłumaczenie i można testować i korzystać z nowego systemu.
BRAK STOPKI = BRAK POMOCY NA SUPPORCIE.PRZECZYTAJ:
Regulamin Supportu Nie pomagam na PW!!!
 
Drecha
Pytanko. Czy własnej roboty wtyczki, które korzystają ze starych metod MYSQL, dalej powinny działać?
 
jantom
To chyba już temat na nowy temat. Wiele zależy od tego, jak zostały napisane. Wiem, nie pomogłem Wink
No i wystarczy tego dobrego... ...bo prorok jest tylko jeden...
 
http://jantom.info
slawekneo
Jak dla mnie v9 to strata czasu programistów bo ni to modularny php ni obiektowy a o MVC to już można pomarzyć. Straszny miszmasz. system wtyczek jest niespójny.
Ogólnie 2/9 Grin
Finalnie i tak lepszy od poprzednich wersji.

Pozdrawiam!
 
Apis
Dodam swoje uwagi po testach na wszystkich trzech wersjach:

1. PHP-Fusion 7.02 (dostosowany do języka php-7+ - https://www.php-f...ost_184824 ) nie działa na bazach danych mariadb w wersji 10.5 (nie da się dokończyć instalacji - w wyniku pusta strona) choć baza danych jest utworzona prawidłowo.

2. PHP-Fusion 8.00.00 - (natywnie dostosowany do języka php-7+) nie działa na bazach danych mariadb w wersji 10.5 (nie da się dokończyć instalacji - w wyniku pusta strona) choć baza danych jest utworzona prawidłowo.

3. PHP-Fusion 9.03.xx - wolna jest od powyższych błędów (demo na bazie danych mariadb 10.5 - http://www.zeglug...9/home.php ) - sporo wtyczek z ver.7.02 jest kompatybilnych z tym skryptem, ale nie wiadomo jak będzie z bazą danych z PF-7. Może się okazać, że po update z v.7 --> v.9 przekonwertowana baza nie będzie prawidłowo działać na serwerach z bazami danych mariadb w wersji 10.5

Wnioski:
Jeśli większość firm hostingowych zmusi nas do przejścia na bazy mariadb w wersji 10.5 (tak jest np. w nazwa.pl - każą sobie dodatkowo płacić 10 zł /mies/netto za używanie niewspieranych wersji języka php i baz danych - oddzielnie za każdy przypadek te 10 zł) - wiele wartościowych serwisów internetowych opartych na PHP-Fusion-7 może zniknąć. Oczywiście można zapłacić dodatkowy haracz (będzie to ok 300 zł rocznie za obie "przestarzałe" rzeczy dołożone do ceny serwera i domeny)

Szkoda, że PHP-Fusion 7.02 (dostosowany do języka php-7+) nie działa na mariadb 10.5., bo to najlepsza wersja PHP-Fusion; boogata w mody i wtyczki, łatwa do własnych adaptacji skórek - także responsywnych (np. moja strona w podpisie).

Wersja PF-8 chyba nie jest rozwijana (mogę się mylić, ale nie widzę żadnych wyższych wersji niż 8.00) a gdyby dostosowano ją do mariadb 10.5 - byłaby szansa na kaskadowe update v7-> v8-> v9

Wersja PF-9 - choć jest efektowna - ma mnóstwo wad, które dla przyzwyczajonych do prostoty i sensowności PF-7 są irytujące.

Dla przykładu w PF-9 "Artykuły" mają część wstępną opartą na BBCode, a rozszerzoną na HTML. Obie części są przy wyświetlaniu całego artykułu łączone potem w jedną treść - ale powoduje to rozwiązanie koszmarny efekt: we "wstępniaku": zamiast obrazka czy linku pojawiają cię kody HTML. Na podstronie home.pl w bloku "Najnowsze artykuły" w ogóle nie pojawia się obrazek ani link. Lepiej pod tym względem rozwiązany jest blog, ale też ma swoje wady (rozmyta miniatura na podstronie home.php ) i parę innych grzeszków.
Na dodatek edytor artykułów nie wprowadza do baz danych daty publikacji ( w DB wartość article_datestamp = 0). Podobnie jest zresztą z newsami: nie wiadomo dlaczego raz wpisuje się przy edycji data - raz nie.
Ponadto dodatkowy admin nie może ustanowić swojego hasła do PA - https://www.php-f...ost_185945 . Wprawdzie da się to obejść, zapisując sobie to hasło w notatniku i kopiując a następnie używając wyłącznie RMB wkleić w odpowiednie pola, ale chyba nie jest to celowe, "dodatkowe zabezpieczenie" PF-9.
Edytowane przez Apis dnia 17.11.2020 05:07:19
Pozdrawiam. Pomogłem? Kliknij "Pomógł" Wink
---
Żegluga śródlądowa wczoraj, dziś, jutro
 
http://www.zegluga-rzeczna.pl
RobiNN
Sorry Poslish is not my native language.

I am one of the core developers. If you have any recommendations for v8 or v9, please let us know. Sometimes I'm watching this page and still someone just complaining about v9 but why nobody send some feedback directly to core devs on Official UK support? I'm trying to fix every problem that someone finds and reports.
No one of you guys reported any problem on UK NSS. You are reporting this unnecessarily here in the Polish NSS, because the administrators of this site probably can't fix it.

We also have Discord, you can chat with us https://discord.g...
If you do not speak English well, use the translator. Where is the problem guys?
---------
tłumaczenie od administracji


Przepraszam polski nie jest moim ojczystym językiem.

Jestem jednym z głównych programistów. Jeśli masz jakieś rekomendacje dla v8 lub v9, proszę daj nam znać. Czasami oglądam tę stronę i wciąż ktoś tylko narzeka na v9, ale dlaczego nikt nie wysyła opinii bezpośrednio do core devs na temat oficjalnego wsparcia dla Wielkiej Brytanii? Staram się rozwiązać każdy problem, który ktoś znajdzie i zgłosi.
Nikt z was nie zgłaszał żadnych problemów w UK NSS. Zgłaszacie to niepotrzebnie tutaj, w polskim NSS, ponieważ administratorzy tej strony prawdopodobnie nie są w stanie tego naprawić.

Mamy też Discord, możesz z nami porozmawiać https://discord.g...
Jeśli nie mówisz dobrze po angielsku, skorzystaj z tłumacza. Gdzie jest problem, chłopaki?
Edytowane przez khaman dnia 27.10.2020 22:09:45
 
Apis
Zwracam częściowo honor PHP-FUsion 8. Są nowsze wersje i oznaczona numerkiem 8.00.60 z powodzeniem zainstalowała się na bazach MariaDB 10.5.5.

Co do reszty moich uwag - zwłaszcza na temat PF-9 RobiNN orzekł w "rozmowie" ze mną na wskazanym wyżej forum, że w zasadzie wszystko jest z nią OK.
Pozdrawiam. Pomogłem? Kliknij "Pomógł" Wink
---
Żegluga śródlądowa wczoraj, dziś, jutro
 
http://www.zegluga-rzeczna.pl
RobiNN
To be clear, you asked about HTML in the snippet. Since we have allowed here only bbcodes we cannot switch immediately into html due to compatibility issues. Also in short text are HTML tags removed because it causes unwanted problems.

Also you asked that there is no option to upload images directly from your pc. We have File Manager in both v8 an v9.

Problems with v8 was caused by old version. We already have 8.00.60 and 9.03.80.

By the way Discord is not forum it's chat.
-----
tłumaczenie od administracji


Żeby było jasne, zapytałeś o HTML w snippecie. Ponieważ dopuściliśmy tutaj tylko bbcode, nie możemy od razu przełączyć się na html z powodu problemów ze zgodnością. Również w krótkim tekście są usuwane znaczniki HTML, ponieważ powoduje to niepożądane problemy.

Zapytałeś też, że nie ma możliwości wgrywania obrazów bezpośrednio z komputera. Mamy Menedżer Plików w obu wersjach v8 i v9.

Problemy z v8 zostały spowodowane przez starą wersję. Mamy już 8.00.60 i 9.03.80.

Przy okazji Discord nie jest forum, lecz czatem.
Edytowane przez khaman dnia 27.10.2020 22:11:46
 
khaman
@Apis jeśli chcesz wsparcia suppportu UK to tutaj pisz po polsku A tam po angielsku..
Posty pomocne oznaczaj jako pomógłhelp.png Nie pomagam na PW/GG | Brak stopki = brak pomocy
 
Andrew333
Wiecie może kiedy serwery przestaną wspiera wersje v7?

Mam serwis w hekko(cyberfolks) i nie wiem czy już przechodzić na v8 :/
 
jantom
Zależy tylko i wyłącznie od hostingu.
Jeśli masz czas i chęci, to wyprzedź swojego usługodawcę i zacznij przygotowania do migracji teraz - więcej czasu na testy i przepisanie tego, co nie działa.
No i wystarczy tego dobrego... ...bo prorok jest tylko jeden...
 
http://jantom.info
Przejdź do forum:
Created by Arox Copyright (C) 2004
Copyright (C) 2004 - 2018 Ekipa PHP-Fusion.pl